@charset "UTF-8";
@import "./app.css";
@import "./common.css";
@import "./style.css";
/* Flash messages */
.message {
  padding: 1rem;
  background: #eff8ff;
  color: #2779bd;
  border-color: #6cb2eb;
  border-width: 1px;
  border-style: solid;
  border-radius: 4px;
  margin: 1rem 1rem 2rem;
}
.message.hidden {
  display: none;
}
.message.success {
  background: #e3fcec;
  color: #1f9d55;
  border-color: #51d88a;
}
.message.warning {
  background: #fffabc;
  color: #8d7b00;
  border-color: #d3b800;
}
.message.error {
  background: #fcebea;
  color: #cc1f1a;
  border-color: #ef5753;
}

.form--message {
  background: #eff8ff;
  color: #2779bd;
  border-color: #6cb2eb;
  border-width: 1px;
  border-style: solid;
  border-radius: 4px;
  margin: 1rem 1rem 1rem;
}
.form--message.hidden {
  display: none;
}
.form--message.success {
  background: #e3fcec;
  color: #1f9d55;
  border-color: #51d88a;
}
.form--message.warning {
  background: #fffabc;
  color: #8d7b00;
  border-color: #d3b800;
}
.form--message.error {
  background: #fcebea;
  color: #cc1f1a;
  border-color: #ef5753;
}
.form--message .form--message__head {
  background-color: #ef5753;
  padding: 1rem;
  color: white;
  font-size: 1.25rem;
}
.form--message .form--message__body {
  padding: 1rem;
}
.form--message .form--message__body p {
  line-height: 1.6;
  color: #333;
}

.dashboard {
  color: white;
  line-height: 1.6;
}

.dashboard--menu__item:hover {
  background: white;
  color: #802d6f;
}
@media screen and (min-width: 641px) {
  .dashboard .menu_name {
    margin-top: 10px;
    font-size: 20px;
  }
  .dashboard--menu {
    display: flex;
    flex-wrap: wrap;
    margin: 40px 0;
  }
  .dashboard--menu__item {
    display: inline-block;
    flex: 1;
    min-width: 220px;
    margin: 0.5rem;
    padding: 2rem 1rem;
    border: 1px solid white;
    border-radius: 8px;
    text-align: center;
    background-color: #802d6f;
    border: double 10px;
  }
  .dashboard .dashboard--menu__item i.fa-solid {
    font-size: 5em;
  }
}

@media screen and (max-width: 640px) {
  .dashboard .menu_name {
    margin-top: 5px;
    font-size: 12px;
  }

  .dashboard--menu {
    display: flex;
    flex-wrap: wrap;
    margin: 30px 0;
  }
  .dashboard--menu__item {
    display: inline-block;
    flex: 1;
    min-width: 90px;
    margin: 0.5rem;
    padding: 0.75rem 0.5rem;
    border: 1px solid white;
    border-radius: 8px;
    text-align: center;
    background-color: #802d6f;
    /* border: double 10px; */
  }
  .dashboard .dashboard--menu__item i.fa-solid {
    font-size: 2em;
  }
}

/* 広告 */
@media screen and (min-width: 641px) {
  .ad {
    display: flex;
    justify-content: center;
    margin-bottom: 60px;
  }
  .ad img {
    max-width: 512px;
    max-height: 160px;
  }
  .swiper {
    width: 1100px;
    max-height: 160px;
  }
  .swiper-slide {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

@media screen and (max-width: 640px) {
  .ad {
    display: flex;
    justify-content: center;
    margin: 15px 0 30px 0;
  }
  .ad img {
    max-width: 256px;
    max-height: 80px;
  }
  .swiper {
    width: 300px;
    max-height: 80px;
  }
  .swiper-slide {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

/* ボタン */
.add-Btn {
  text-align: right;
}

.add-Btn a {
  text-align: right;
  background: #18940f;
  border-radius: 6px;
  color: #fff;
  font-size: 20px;
  display: inline-block;
  letter-spacing: 0.05em;
  margin-bottom: 30px;
  padding: 15px 40px;
}
@media screen and (max-width: 640px) {
  .add-Btn a {
    font-size: 1rem;
    padding: 1rem 1.5rem;
  }
}

.create-pasword-wrap {
  display: flex;
  flex-wrap: wrap;
}
.create-pasword-wrap .input {
  margin-right: 1rem;
}
@media screen and (max-width: 640px) {
  .create-pasword-wrap {
    display: block;
  }
  .create-pasword-wrap .input {
    margin-right: 0;
    margin-bottom: 1rem;
  }
}

.password_btn {
  background: #888;
  padding: 12px;
  border-radius: 6px;
}
@media screen and (max-width: 640px) {
  .password_btn {
    padding: 8px;
    font-size: 0.8125rem;
  }
}

.page-search .Form-Btn-wrap {
  flex-direction: row-reverse;
  justify-content: flex-start;
}

.page-search-display .Form-Btn-wrap {
  flex-direction: row-reverse;
  justify-content: flex-start;
}

.contents-setting section article .set-block-input__items_flex .set-block-input__items {
  margin-bottom: 1rem;
}

.set-block-input__items.radio label {
  padding: 0.2rem 0.4rem;
  line-height: 1.8;
  margin-right: 0.4rem;
}
.set-block-input__items.radio label input[type="radio"] {
  margin-right: 0.4rem;
  margin-bottom: 0.1rem;
}

.contents-setting .set-btn3 .Form-Btn_del {
  border-radius: 6px;
  padding: 15px 50px;
  margin-bottom: 15px;
  margin-left: 20px;
  display: inline-block;
  letter-spacing: 0.05em;
  background: #da164a;
  color: #fff;
  font-size: 20px;
  float: right;
}
@media screen and (max-width: 640px) {
  .contents-setting .set-btn3 .Form-Btn_del {
    border-radius: 6px;
    padding: 15px 20px;
    margin-bottom: 15px;
    letter-spacing: 0.05em;
    color: #fff;
    font-size: 13px;
  }
}

.confirm .contents-setting section article .set-block-input__title {
  font-size: 1.125rem;
  margin-bottom: 1rem;
  color: bisque;
}
.confirm .contents-setting section article .set-block-input__title:before {
  content: "|";
  margin-right: 0.5rem;
}
.confirm .contents-setting section article p {
  line-height: 1.5;
  word-break: break-all;
}

.text_area {
  width: 100%;
  max-width: 394px;
  padding: 1rem;
  line-height: 1.5;
}

.set-block-select_checkbox {
  display: flex;
  flex-wrap: wrap;
}
.set-block-select_checkbox .checkbox {
  margin-right: 4px;
  margin-bottom: 4px;
}
.set-block-select_checkbox .checkbox label {
  line-height: 1.8;
  background-color: #555;
  border-radius: 4px;
  padding: 0.2rem 0.8rem 0.2rem 0.4rem;
  border: 1px solid #000;
}
.set-block-select_checkbox .checkbox input {
  display: initial;
  margin-right: 8px;
}
.set-block-select_checkbox p {
  margin-right: 1rem;
}

.clinical-department-list li {
  display: inline-block;
  margin-right: 4px;
  margin-bottom: 4px;
  line-height: 1.8;
  background-color: #555;
  border-radius: 4px;
  padding: 0.2rem 0.8rem 0.2rem 0.4rem;
  border: 1px solid #000;
}

/* image drop */
#dropzone {
  position: relative;
  border: 2px dashed #ffffff;
  border-radius: 4px;
  color: white;
  font: bold 24px/200px arial;
  height: 108px;
  margin: 30px 0;
  text-align: center;
  width: 108px;
}
#dropzone.dropped {
  border: 4px solid #ffffff;
}
#dropzone.hover {
  border: 4px solid #fe5;
  color: #fe5;
}
#dropzone div {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  line-height: 160px;
}
#dropzone img {
  vertical-align: middle;
  max-width: 100%;
  max-height: 100%;
}
#dropzone input[type="file"] {
  cursor: pointer;
  position: absolute;
  opacity: 0;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

#dropzone.myIcon img {
  border-radius: 50%;
}

.upload-img {
  margin: 1rem 0;
  border: 4px solid #ffffff;
  border-radius: 4px;
  max-width: 108px;
  max-height: 108px;
}
.upload-img img {
  max-width: 100px;
  max-height: 100px;
}

.myIcon.upload-img img {
  border-radius: 50%;
}

.upload-pc-ad-img img {
  max-width: 512px;
  max-height: 160px;
}

.upload-sp-ad-img img {
  max-width: 256px;
  max-height: 80px;
}

input[type="number"] {
  color: black;
}

.table--wrapper {
  position: relative;
  width: 100%;
  max-height: calc(100vh - 100px - 73px);
  margin-bottom: 2rem;
  overflow-x: auto;
  white-space: nowrap;
}
.table--wrapper .tabletype-table {
  width: 100%;
  border-collapse: collapse;
}
.table--wrapper .tabletype-table .name {
  width: 250px;
}
.table--wrapper .tabletype-table .tel {
  width: 250px;
}
.table--wrapper .tabletype-table .address {
  width: 300px;
}
.table--wrapper .tabletype-table .action {
  width: 80px;
}
.table--wrapper .tabletype-table tr.th th {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 1;
}
.table--wrapper .tabletype-table th {
  background-color: #4b4b4b;
  color: #ffffff;
  text-align: center;
  font-size: 90%;
  padding: 10px 15px;
}
.table--wrapper .tabletype-table td {
  color: #ffffff;
  text-align: left;
  padding: 20px 40px;
  border-bottom: solid 1px #ffffff;
}
.table--wrapper .tabletype-table th,
.table--wrapper .tabletype-table td {
  max-width: 200px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.table--wrapper th.actions {
  width: 80px;
}
.table--wrapper td.actions {
  text-align: center;
  padding: 20px 8px;
}
@media screen and (max-width: 640px) {
  .table--wrapper {
    max-height: calc(100vh - 100px - 36px);
  }
}

@media screen and (max-width: 640px) {
  .contents-list2 ul li div span.txt1 {
    line-height: 1.5;
  }
}
.accordion {
  display: flex;
  align-items: center;
  width: auto;
  padding-left: 20px;
  margin-left: 30px;
  margin-right: auto;
}
@media screen and (max-width: 640px) {
  .accordion {
    padding-left: 0px;
  }
}

.header_title {
  font-size: 1.25em;
  padding: 0.625em 0.625em 0.625em 2em;
}

#overlay-input {
  display: none !important;
}

@media screen and (min-width: 641px) {
  #overlay-button {
    position: absolute;
    right: 10px;
    top: 10px;
    padding: 26px 11px;
    z-index: 5;
    cursor: pointer;
    user-select: none;
  }
  #overlay-button span {
    height: 4px;
    width: 35px;
    background-color: #d8d8d8;
    position: relative;
    display: block;
    transition: all 0.2s ease-in-out;
  }
  #overlay-button span:after,
  #overlay-button span:before {
    height: 4px;
    width: 35px;
    background-color: #d8d8d8;
    position: absolute;
    content: "";
    transition: all 0.2s ease-in-out;
    top: 10px;
  }
  #overlay-button span:before {
    top: -10px;
    visibility: visible;
  }
  #overlay {
    display: inline-block;
    padding: 20px 10px;
    text-align: left;
    background: #6f6f6f;
    z-index: 2;
    visibility: hidden;
    border-radius: 10px;
    position: absolute;
    top: 80px;
    right: 20px;
  }
  .accordion__title {
    max-width: calc(100vw - 320px);
    margin-right: 0.4rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .header_title {
    max-width: calc(100vw - 320px);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}
@media screen and (max-width: 640px) {
  .accordion {
    display: flex;
  }
  .accordion label {
    font-size: 0.8125rem;
    line-height: 36px;
  }
  .accordion__title {
    max-width: calc(100vw - 60px - 80px);
    font-size: 0.875rem;
    padding: 0.8em 1.2em 0.5em 1em;
    margin-right: 0.4rem;
    line-height: 18px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .header_title {
    max-width: calc(100vw - 53px - 80px);
    font-size: 0.875rem;
    padding: 0.625em 0.625em 0.625em 1em;
    line-height: 18px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  #overlay-button {
    position: fixed;
    right: 10px;
    top: 8px;
    width: 20px;
    height: 20px;
    z-index: 300;
    cursor: pointer;
    user-select: none;
  }
  #overlay-button span {
    position: absolute;
    height: 3px;
    width: 20px;
    background-color: #d8d8d8;
    position: relative;
    display: block;
    transition: all 0.2s ease-in-out;
    top: 1px;
  }
  #overlay-button span:after,
  #overlay-button span:before {
    height: 3px;
    width: 20px;
    background-color: #d8d8d8;
    position: absolute;
    content: "";
    transition: all 0.2s ease-in-out;
    top: 8px;
  }
  #overlay-button span:before {
    top: 16px;
    visibility: visible;
  }
  #nav-wrapper.open #overlay-button span {
    background: transparent;
  }
  #nav-wrapper.open #overlay-button span:after {
    top: 8px;
    transform: rotate(45deg);
  }
  #nav-wrapper.open #overlay-button span:before {
    top: 8px;
    transform: rotate(-45deg);
  }
  #overlay {
    position: fixed;
    display: block;
    width: 100%;
    height: 100vh;
    top: 0;
    left: -100%;
    padding: 20px 10px;
    text-align: left;
    background-image: url(../images/m-bg.png);
    background-repeat: no-repeat;
    background-position: center 50%;
    background-size: cover;
    transition: all 0.5s;
    z-index: 200;
    overflow-y: auto;
    border-radius: 0;
    position: absolute;
  }
  #nav-wrapper.open #overlay {
    left: 0;
  }
  #overlay:before {
    content: "";
    background-color: rgba(186, 144, 178, 0.6);
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  }
  #overlay .inner {
    width: 100%;
    position: relative;
  }
  #overlay .inner nav {
    width: 100%;
  }
  #overlay .inner nav ul {
    width: 100%;
  }
  #overlay .inner nav ul li {
    width: 100%;
    text-align: left;
    border-bottom: solid 1px #ba90b2;
    position: relative;
  }
  #overlay .inner nav ul li.parent:after {
    content: "";
    position: absolute;
    right: 20px;
    top: 25px;
    transition: all 0.2s ease-in-out;
    display: block;
    width: 8px;
    height: 8px;
    border-top: solid 2px #fff;
    border-right: solid 2px #fff;
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
  }
  #overlay .inner nav ul li a {
    display: block;
    width: 100%;
    padding: 20px;
    text-decoration: none;
    color: #ffffff;
    font-size: 110%;
    font-weight: bold;
    text-shadow: 0px 3px 6px rgba(0, 0, 0, 0.3);
  }
  #overlay .inner nav ul li ul.child {
    display: none;
  }
  #overlay .inner nav ul li ul.child li {
    border-bottom: none;
    padding-bottom: 10px;
  }
  #overlay .inner nav ul li ul.child li a {
    display: block;
    width: 100%;
    padding: 10px 20px;
  }
  #overlay .inner nav ul li #logoutBtnSp {
    padding: 20px 20px 20px 50px;
  }
  #overlay .inner nav ul li #logoutBtnSp:before {
    content: "";
    display: block;
    width: 28px;
    height: 30px;
    padding: 0;
    background-repeat: no-repeat;
    background-position: 0 50%;
    background-size: cover;
    position: absolute;
    left: 15px;
    top: 50%;
    margin-top: -15px;
    background-image: url(../images/m-icon03.svg);
    filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.3));
  }
}
.active--room {
  background-color: #2c3034;
  /*#0067A0*/
  box-sizing: border-box;
  padding: 0.6rem 0.4rem;
  border-radius: 12px;
  margin-bottom: 24px;
}

.side-nav-pc .active--room dt,
.side-nav-pc .active--room dd {
  margin-bottom: 0;
  font-size: 0.875rem;
}

#clear_button a {
  width: 80px;
  display: inline-block;
  padding: 0.4rem;
  text-align: center;
  color: white;
  font-size: 0.8125rem;
  background-color: #999;
  border-radius: 4px;
}

.stamp--wrap,
.attachment--wrap {
  display: inline-block;
}

.attachment--wrap {
  max-width: 150px;
}

.contents-gc .myself .gc-txt article {
  flex-direction: column;
}

.contents-gc .myself .option {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 0.5rem;
  justify-content: flex-end;
  align-items: center;
  margin-bottom: 12px;
}

.contents-gc .myself .option div img {
  display: block;
  width: 31px;
  height: 31px;
  margin-left: 10px;
  min-width: 31px;
  border-radius: 50%;
}

.contents-gc .addnew--message {
  display: none;
  position: absolute;
  width: 128px;
  padding: 0.5rem 2rem;
  text-align: center;
  font-size: 0.8125rem;
  border-radius: 50px;
  border: 2px solid red;
  color: red;
  left: calc(50% - 64px);
  bottom: 80px;
  background-color: rgba(0, 0, 0, 0.3);
}

.attachment--btn {
  position: relative;
  cursor: pointer;
  display: block;
  cursor: pointer;
  width: 22px;
  height: 23px;
  background-repeat: no-repeat;
  background-position: center 50%;
  background-image: url(../images/w03.svg);
}

.attachment--btn [type="file"] {
  width: 21px;
  cursor: pointer;
  position: absolute;
  opacity: 0;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.attachment--btn [type="file"]::file-selector-button {
  cursor: pointer;
  width: 22px;
  height: 23px;
}

.attachment--area {
  position: absolute;
  text-align: center;
  opacity: 0;
  right: 0;
  bottom: 0;
  left: 0;
  transition: 0.3s;
}

.attachment--area [type="file"] {
  cursor: pointer;
  position: absolute;
  opacity: 0;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.attachment--area button {
  position: absolute;
  cursor: pointer;
  left: 50%;
  transform: translate(-50%, 0);
  bottom: 0;
  padding: 1rem 2rem;
  border-radius: 50px;
  border: 4px solid white;
  color: white;
  opacity: 0;
  transition: 0.3s;
}

.attachment--area div {
  position: absolute;
  max-height: 100%;
  top: 50%;
  right: 0;
  left: 0;
  text-align: center;
  transform: translate(0, -50%);
  overflow: scroll;
}

.attachment--area.hover {
  top: 0;
  border: 10px solid #fe5;
  color: #fe5;
  background-color: rgba(0, 0, 0, 0.2);
  opacity: 1;
}

.attachment--area.dropped {
  top: 0;
  background-color: rgba(0, 0, 0, 0.7);
  border: 10px solid #444;
  opacity: 1;
}

.attachment--area.dropped button {
  bottom: 10%;
  background-color: rgba(0, 0, 0, 0.7);
  border: 10px solid #444;
  opacity: 1;
  z-index: 10;
}

.attachment--area.dropped button:hover {
  box-shadow: 2px 2px 5px black;
}

.attachment--area img {
  border-radius: 10px;
  vertical-align: middle;
  max-width: 160px;
  max-height: 160px;
  object-fit: cover;
  margin: 1rem auto;
}

.attachments--box {
  cursor: pointer;
  display: flex;
  flex-wrap: wrap;
  width: fit-content;
  max-width: 200px;
  margin-left: auto;
  background-color: rgba(0, 0, 0, 0.5);
  box-sizing: border-box;
  padding: 2px;
  border-radius: 2px;
}
.person .attachments--box {
  margin-left: 0;
}
.attachments--box a {
  display: inline-block;
  flex: 1;
  min-width: 98px;
  max-width: 98px;
  padding: 2px;
  box-sizing: border-box;
}
.attachments--box .attachment--wrap img {
  width: 94px;
  height: 94px;
  object-fit: cover;
}

.del--message {
  display: inline-block;
  padding: 0.4rem 1rem;
  border-radius: 4px;
  font-size: 0.8125rem;
  color: #333;
  background-color: rgba(255, 255, 255, 0.2);
}

.message--head .date span {
  margin: 0 0.2rem;
}
.message--head .date label {
  font-size: 0.875rem;
}

.message--body {
  width: 100% !important;
  height: auto !important;
}

.message--foot.is-read {
  display: block !important;
  margin: 0.6rem 0;
}
.message--foot.is-read span {
  display: block;
  margin-bottom: 0.4rem;
  text-align: right;
}

.contents.doctor {
  background-color: #02355c;
}

.mode--btn_patient,
.mode--btn_doctor {
  width: 60px;
  height: 60px;
  border: 2px solid white;
  font-size: 0;
  background-repeat: no-repeat;
  background-size: 40px;
  background-position: center;
}

.mode--btn_patient {
  background-image: url("../images/side-btn1.svg");
}

.mode--btn_doctor {
  background-image: url("../images/side-btn2.svg");
}

.mode--btn_patient.active {
  background-color: white;
  background-image: url("../images/side-btn1b.svg");
}

.mode--btn_doctor.active {
  background-color: white;
  background-image: url("../images/side-btn2b.svg");
}

.b01-content-inner {
  flex-wrap: wrap;
}
.b01-content-inner .stamp_send_button {
  width: 20%;
  max-width: 160px;
  margin-right: 0.75rem;
  margin-bottom: 0.5rem;
}

.stamp--wrap {
  max-width: 160px;
}

.stamp--not {
  display: inline-block;
  font-size: 0.6875rem;
  background-color: rgba(0, 0, 0, 0.2);
  padding: 0.1rem 0.2rem;
  color: #999;
}

.list--button {
  border-radius: 6px;
  padding: 15px 50px;
  margin-bottom: 15px;
  margin-left: 1rem;
  display: inline-block;
  letter-spacing: 0.05em;
  background: #18940f;
  color: #fff;
  font-size: 20px;
}
@media screen and (max-width: 640px) {
  .list--button {
    display: inline-block;
    letter-spacing: 0.05em;
    background: #18940f;
    color: #fff;
    font-size: 13px;
  }
}

.pharmacy--list {
  margin: 1rem 0;
  padding-left: 1rem;
  list-style: disc;
}
.pharmacy--list__item {
  margin-left: 1rem;
  margin-bottom: 1rem;
  line-height: 1.6;
  padding-left: 0.5rem;
}

.contents-list2 ul li.select_submit_hospital div {
  width: 100%;
}
.contents-list2 ul li.select_submit_hospital div span.txt2 {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  width: 100%;
}
.contents-list2 ul li.select_submit_hospital div span.txt2 span {
  line-height: 1.6;
}
.contents-list2 ul li.select_submit_hospital div span.txt2 a {
  min-width: 70px;
  text-align: center;
}

@media screen and (max-width: 640px) {
  .login-outer section .Form-Btn.sender {
    font-size: 0.875rem;
  }
}
@media screen and (max-width: 640px) {
  .contents-setting section article .set-block-input__items_flex p.select-txt {
    margin: 0 0.2rem;
  }
}
.switch {
  margin-bottom: 16px;
}

@media screen and (max-width: 640px) {
  .dark-tooltip ul.confirm li {
    padding: 8px !important;
  }
}
.page-search {
  display: none;
}

#search--btn {
  display: none;
  -webkit-appearance: none;
  width: 40px;
  height: 40px;
  padding: 10px;
  border: none;
  background-color: #929292;
  background-image: url(../images/search.svg);
  background-repeat: no-repeat;
  background-position: right 8px top 50%;
  background-size: 25px 25px;
  transition: all 0.5s;
  outline: none;
  cursor: pointer;
  border-radius: 6px;
}
@media screen and (max-width: 640px) {
  #search--btn {
    margin-right: 8px;
    width: 36px;
    height: 36px;
    position: absolute;
    top: 0;
    right: 40px;
    background-color: transparent;
    background-image: url(../images/search.svg);
    background-size: 26px auto;
    cursor: pointer;
    user-select: none;
  }
}

.contents-setting section article .set-block-input input[type="text"]::placeholder {
  font-size: 0.875rem;
}

.contents-page {
  width: 100%;
  max-width: 960px;
  margin: 3rem auto;
  padding: 2rem;
  background-color: white;
  color: #333;
}
.contents-page * {
  word-break: break-all;
}
.contents-page h1 {
  text-align: center;
  margin: 2rem 0 1rem;
  font-size: 1.75rem;
  font-weight: bold;
  line-height: 1.8;
}
.contents-page p {
  margin: 1rem 0 2rem;
  font-size: 1rem;
  line-height: 1.8;
}
.contents-page p.ta-r {
  text-align: right;
}
.contents-page a {
  color: #0c63e4;
  text-decoration: underline;
  font-size: 1rem;
  line-height: 1.8;
}
.contents-page h2 {
  margin: 2rem 0 1rem;
  font-size: 1.5rem;
  font-weight: bold;
  line-height: 1.8;
}
.contents-page h3 {
  margin: 1.5rem 0 0.5rem;
  font-size: 1.125rem;
  font-weight: bold;
  line-height: 1.8;
}
.contents-page ol {
  list-style: decimal;
  margin: 0 0 1rem 2rem;
}
.contents-page ol li {
  margin-bottom: 0.5rem;
  font-size: 1rem;
  line-height: 1.8;
}
.contents-page ol li ol {
  margin: 0.5rem 0 1rem 2rem;
  list-style: lower-latin;
}
.contents-page ol li ol li > ol {
  margin: 0.5rem 0 1rem 2rem;
  list-style: lower-roman;
}
.contents-page ul {
  list-style: disc;
  margin: 0 0 1rem 2rem;
}
.contents-page ul li {
  margin-bottom: 0.5rem;
  font-size: 1rem;
  line-height: 1.8;
}
.contents-page ul li ul {
  margin: 0.5rem 0 1rem 2rem;
  list-style: circle;
}
.contents-page ul li ul li > ul {
  margin: 0.5rem 0 1rem 2rem;
  list-style: square;
}
@media screen and (max-width: 640px) {
  .contents-page {
    max-width: calc(100% - 2rem);
    margin: 2rem auto;
  }
  .contents-page h1 {
    margin: 1.5rem 0 1rem;
    font-size: 1.5rem;
  }
  .contents-page h2 {
    margin: 1.5rem 0 1rem;
    font-size: 1.125rem;
  }
  .contents-page h3 {
    margin: 1rem 0 0.5rem;
    font-size: 1rem;
  }
  .contents-page ol {
    margin: 0 0 1rem 1.5rem;
  }
  .contents-page ol li {
    font-size: 0.875rem;
  }
  .contents-page ol li ol {
    margin: 0.5rem 0 1rem 1rem;
  }
  .contents-page ol li ol li > ol {
    margin: 0.5rem 0 1rem 1rem;
  }
  .contents-page ul {
    margin: 0 0 1rem 1.5rem;
  }
  .contents-page ul li {
    font-size: 0.875rem;
  }
  .contents-page ul li ul {
    margin: 0.5rem 0 1rem 1rem;
  }
  .contents-page ul li ul li > ul {
    margin: 0.5rem 0 1rem 1rem;
  }
  .contents-page p {
    margin: 0.5rem 0 1rem;
    font-size: 0.9375rem;
  }
  .contents-page a {
    font-size: 0.9375rem;
  }
}

.password_wrapper {
  position: relative;
  width: fit-content;
}
.password_wrapper i {
  position: absolute;
  top: calc(50% - 0.5em);
  right: 6px;
  color: #000;
}

/* お知らせ表示 */
.alert {
  max-height: 20svh;
  overflow: auto;
}

.notice-item:last-child {
  border-bottom: none;
}

@media screen and (min-width: 641px) {
  .notice-item {
    padding: 10px 10px;
    margin: 0 20px;
    border-bottom: 1px solid #eee;
  }

  .notice-title {
    font-size: 17px;
    line-height: 1.5;
    margin-bottom: 3px;
    font-weight: bold;
  }

  .notice-message {
    font-size: 16px;
    line-height: 1.5;
    white-space: pre-line;
  }
}

@media screen and (max-width: 640px) {
  .notice-item {
    padding: 10px 10px;
    margin: 0 5px;
    border-bottom: 1px solid #eee;
  }

  .notice-title {
    font-size: 14px;
    line-height: 1.4;
    font-weight: bold;
  }

  .notice-message {
    font-size: 12px;
    line-height: 1.4;
    white-space: pre-line;
  }
}
